# How This API Document Is Organized

This API (Application Programming Interface) document has pages corresponding to the items in the navigation bar, described as follows.

- ## Overview

  The Overview page is the front page of this API document and provides a list of all packages with a summary for each. This page can also contain an overall description of the set of packages.

- ## Package

  Each package has a page that contains a list of its classes and interfaces, with a summary for each. This page can contain six categories:

  - Interfaces (italic)
  - Classes
  - Enums
  - Exceptions
  - Errors
  - Annotation Types

- ## Class/Interface

  Each class, interface, nested class and nested interface has its own separate page. Each of these pages has three sections consisting of a class/interface description, summary tables, and detailed member descriptions:

  - Class inheritance diagram
  - Direct Subclasses
  - All Known Subinterfaces
  - All Known Implementing Classes
  - Class/interface declaration
  - Class/interface description
  - Nested Class Summary
  - Field Summary
  - Constructor Summary
  - Method Summary
  - Field Detail
  - Constructor Detail
  - Method Detail

  Each summary entry contains the first sentence from the detailed description for that item. The summary entries are alphabetical, while the detailed descriptions are in the order they appear in the source code. This preserves the logical groupings established by the programmer.

- ## Annotation Type

  Each annotation type has its own separate page with the following sections:

  - Annotation Type declaration
  - Annotation Type description
  - Required Element Summary
  - Optional Element Summary
  - Element Detail

- ## Enum

  Each enum has its own separate page with the following sections:

  - Enum declaration
  - Enum description
  - Enum Constant Summary
  - Enum Constant Detail

- ## Deprecated API

  The Deprecated API page lists all of the API that have been deprecated. A deprecated API is not recommended for use, generally due to improvements, and a replacement API is usually given. Deprecated APIs may be removed in future implementations.

- ## Index

  The Index contains an alphabetic list of all classes, interfaces, constructors, methods, and fields.

- ## Frames/No Frames

  These links show and hide the HTML frames. All pages are available with or without frames.

- ## All Classes

  The All Classes link shows all classes and interfaces except non-static nested types.

- ## Serialized Form

  Each serializable or externalizable class has a description of its serialization fields and methods. This information is of interest to re-implementors, not to developers using the API. While there is no link in the navigation bar, you can get to this information by going to any serialized class and clicking "Serialized Form" in the "See also" section of the class description.

- ## Constant Field Values

  The Constant Field Values page lists the static final fields and their values.

This help file applies to API documentation generated using the standard doclet.